# Configuration file

client {
    I:AmbientLightingLevel=15
    B:CTMRenderer=true
    B:EnableAmbientLighting=true
    B:EnableMachineSounds=true
    B:EnablePlayerSounds=true
    B:FancyUniversalCableRender=true
    B:Holidays=true
    B:MachineEffects=true
    B:OldTransmitterRender=false
    B:OpaqueTransmitterRender=false

    # If true, will reduce lagging between player sounds. Setting to false will reduce GC load
    B:ReplaceSoundsWhenResuming=true
    D:SoundVolume=1.0
}


general {
    B:AestheticWorldDamage=true
    B:AllowSpawnerBoxPickup=true
    B:AllowTransmitterAlloyUpgrade=true
    I:AmbientLightingLevel=15
    I:ArmoredJepackDamageMax=200
    D:ArmoredJetpackDamageRatio=0.8
    B:BlacklistIC2Power=false
    B:BlacklistRFPower=false
    I:ClientUpdateDelay=10
    B:ControlCircuitOreDict=true
    I:CopperPerChunk=0
    B:CreativeOverrideElectricChest=true
    B:DestroyDisabledBlocks=true
    I:DisassemblerEnergyUsage=2
    B:DynamicTankEasterEgg=false
    D:EUToJoules=0.1
    B:EnableAmbientLighting=true
    B:EnableWorldRegeneration=false
    D:EnergyPerHeat=1000.0
    D:EnergyPerRedstone=10000.0
    S:EnergyType=RF
    I:EthyleneBurnTime=40
    D:EvaporationHeatDissipation=0.02
    D:EvaporationMaxTemp=3000.0
    D:EvaporationSolarMultiplier=0.2
    D:EvaporationTempMultiplier=0.1
    D:HeatPerFuelTick=1.0

    # Determines Electrolytic Separator usage
    D:HydrogenEnergyDensity=200.0
    D:JoulesToEU=10.0
    D:JoulesToRF=2.5
    I:LaserDiggingEnergy=100000
    I:LaserRange=64
    B:LogPackets=false
    D:MaxEnergyPerSteam=100.0
    I:MaxFlamethrowerGas=36000
    I:MaxJetpackGas=48000
    I:MaxPlenisherNodes=4000
    I:MaxPumpRange=80
    I:MaxScubaGas=24000
    I:MinerSilkMultiplier=6
    I:ObsidianTNTBlastRadius=12
    I:ObsidianTNTDelay=100
    B:OpsBypassRestrictions=true
    I:OsmiumPerChunk=12
    B:PrefilledFluidTanks=false
    B:PrefilledGasTanks=false
    B:PrefilledPortableTanks=false
    B:PumpWaterSources=false
    D:RFToJoules=1
    I:SaltPerChunk=2
    D:SolarEvaporationSpeed=2.0
    B:SpawnBabySkeletons=false
    D:SuperheatingHeatTransfer=10000.0
    S:"Temperature Units"=K
    D:ThermalEvaporationSpeed=1.0
    I:TinPerChunk=0
    B:UpdateNotifications=false
    I:UpgradeModifier=10
    I:VoicePort=36123
    B:VoiceServerEnabled=false
    I:WorldRegenVersion=0
}


generation {
    D:AdvancedSolarGeneration=3000.0
    D:BioGeneration=3500.0
    D:HeatGeneration=220.0
    D:HeatGenerationLava=220.0
    D:HeatGenerationNether=250.0
    D:SolarGeneration=1500.0
    I:TurbineBladesPerCoil=4
    I:TurbineCondenserFlowRate=64000
    D:TurbineDisperserGasFlow=6400.0
    D:TurbineVentGasFlow=32000.0
    D:WindGenerationMax=2000.0
    I:WindGenerationMaxY=100
    D:WindGenerationMin=60.0
    I:WindGenerationMinY=24
}


machines {
    B:ChargepadEnabled=true
    B:ChemicalCrystallizerEnabled=true
    B:ChemicalDissolutionChamberEnabled=true
    B:ChemicalInfuserEnabled=true
    B:ChemicalInjectionChamberEnabled=true
    B:ChemicalOxidizerEnabled=true
    B:ChemicalWasherEnabled=true
    B:CombinerEnabled=true
    B:CrusherEnabled=true
    B:DigitalMinerEnabled=true
    B:ElectricChestEnabled=true
    B:ElectricPumpEnabled=true
    B:ElectrolyticSeparatorEnabled=true
    B:EnergizedSmelterEnabled=true
    B:EnrichmentChamberEnabled=true
    B:FactoryEnabled=true
    B:FluidTankEnabled=true
    B:FluidicPlenisherEnabled=true
    B:FormulaicAssemblicatorEnabled=true
    B:FuelwoodHeaterEnabled=true
    B:LaserAmplifierEnabled=true
    B:LaserEnabled=true
    B:LaserTractorBeamEnabled=true
    B:LogisticalSorterEnabled=true
    B:MetallurgicInfuserEnabled=true
    B:OredictionificatorEnabled=true
    B:OsmiumCompressorEnabled=true
    B:PersonalChestEnabled=true
    B:PortableTankEnabled=true
    B:PrecisionSawmillEnabled=true
    B:PressurizedReactionChamberEnabled=true
    B:PurificationChamberEnabled=true
    B:QuantumEntangloporterEnabled=true
    B:ResistiveHeaterEnabled=true
    B:RotaryCondensentratorEnabled=true
    B:SeismicVibratorEnabled=true
    B:SolarNeutronActivatorEnabled=true
    B:TeleporterEnabled=true
}


tier {
    I:AdvancedBinStorage=8192
    I:AdvancedCableCapacity=12800
    D:AdvancedConductorConductionInsulation=400.0
    D:AdvancedConductorHeatCapacity=1.0
    D:AdvancedConductorInverseConduction=5.0
    D:AdvancedEnergyCubeMaxEnergy=8000000.0
    D:AdvancedEnergyCubeOutput=3200.0
    I:AdvancedFluidTankOutput=800
    I:AdvancedFluidTankStorage=280000
    I:AdvancedGasTankOutput=512
    I:AdvancedGasTankStorage=128000
    D:AdvancedInductionCellMaxEnergy=8.0E9
    D:AdvancedInductionProviderOutput=512000.0
    I:AdvancedPipeCapacity=40000
    I:AdvancedPipePullAmount=4000
    I:AdvancedTransporterPullAmount=16
    I:AdvancedTransporterSpeed=10
    I:AdvancedTubeCapacity=1024
    I:AdvancedTubePullAmount=256
    I:BasicBinStorage=4096
    I:BasicCableCapacity=3200
    D:BasicConductorConductionInsulation=10.0
    D:BasicConductorHeatCapacity=1.0
    D:BasicConductorInverseConduction=5.0
    D:BasicEnergyCubeMaxEnergy=2000000.0
    D:BasicEnergyCubeOutput=800.0
    I:BasicFluidTankOutput=400
    I:BasicFluidTankStorage=140000
    I:BasicGasTankOutput=256
    I:BasicGasTankStorage=64000
    D:BasicInductionCellMaxEnergy=1.0E9
    D:BasicInductionProviderOutput=64000.0
    I:BasicPipeCapacity=10000
    I:BasicPipePullAmount=1000
    I:BasicTransporterPullAmount=1
    I:BasicTransporterSpeed=5
    I:BasicTubeCapacity=256
    I:BasicTubePullAmount=64
    D:CreativeEnergyCubeMaxEnergy=2.147483647E9
    D:CreativeEnergyCubeOutput=2.147483647E9
    I:EliteBinStorage=32768
    I:EliteCableCapacity=64000
    D:EliteConductorConductionInsulation=8000.0
    D:EliteConductorHeatCapacity=1.0
    D:EliteConductorInverseConduction=5.0
    D:EliteEnergyCubeMaxEnergy=3.2E7
    D:EliteEnergyCubeOutput=12800.0
    I:EliteFluidTankOutput=1600
    I:EliteFluidTankStorage=560000
    I:EliteGasTankOutput=1028
    I:EliteGasTankStorage=256000
    D:EliteInductionCellMaxEnergy=6.4E10
    D:EliteInductionProviderOutput=4096000.0
    I:ElitePipeCapacity=160000
    I:ElitePipePullAmount=16000
    I:EliteTransporterPullAmount=32
    I:EliteTransporterSpeed=20
    I:EliteTubeCapacity=4096
    I:EliteTubePullAmount=1024
    I:UltimateBinStorage=262144
    I:UltimateCableCapacity=320000
    D:UltimateConductorConductionInsulation=100000.0
    D:UltimateConductorHeatCapacity=1.0
    D:UltimateConductorInverseConduction=5.0
    D:UltimateEnergyCubeMaxEnergy=1.28E8
    D:UltimateEnergyCubeOutput=51200.0
    I:UltimateFluidTankOutput=3200
    I:UltimateFluidTankStorage=1120000
    I:UltimateGasTankOutput=2056
    I:UltimateGasTankStorage=512000
    D:UltimateInductionCellMaxEnergy=5.12E11
    D:UltimateInductionProviderOutput=3.2768E7
    I:UltimatePipeCapacity=640000
    I:UltimatePipePullAmount=64000
    I:UltimateTransporterPullAmount=512
    I:UltimateTransporterSpeed=100
    I:UltimateTubeCapacity=16384
    I:UltimateTubePullAmount=4096
}


tools {

    tool-balance {

        obsidian {

            regular {
                I:damage=10
                D:efficiency=20.0
                I:enchantability=40
                I:harvestLevel=3
                I:maxUses=2500
            }

            paxel {
                I:damage=10
                D:efficiency=25.0
                I:enchantability=50
                I:harvestLevel=3
                I:maxUses=3000
            }

        }

        lapis {

            regular {
                I:damage=2
                D:efficiency=5.0
                I:enchantability=8
                I:harvestLevel=2
                I:maxUses=200
            }

            paxel {
                I:damage=4
                D:efficiency=6.0
                I:enchantability=10
                I:harvestLevel=2
                I:maxUses=250
            }

        }

        osmium {

            regular {
                I:damage=4
                D:efficiency=10.0
                I:enchantability=12
                I:harvestLevel=2
                I:maxUses=500
            }

            paxel {
                I:damage=5
                D:efficiency=12.0
                I:enchantability=16
                I:harvestLevel=3
                I:maxUses=700
            }

        }

        bronze {

            regular {
                I:damage=6
                D:efficiency=14.0
                I:enchantability=10
                I:harvestLevel=2
                I:maxUses=800
            }

            paxel {
                I:damage=10
                D:efficiency=16.0
                I:enchantability=14
                I:harvestLevel=3
                I:maxUses=1100
            }

        }

        glowstone {

            regular {
                I:damage=5
                D:efficiency=14.0
                I:enchantability=18
                I:harvestLevel=2
                I:maxUses=300
            }

            paxel {
                I:damage=5
                D:efficiency=18.0
                I:enchantability=22
                I:harvestLevel=2
                I:maxUses=450
            }

        }

        steel {

            regular {
                I:damage=4
                D:efficiency=14.0
                I:enchantability=10
                I:harvestLevel=3
                I:maxUses=850
            }

            paxel {
                I:damage=8
                D:efficiency=18.0
                I:enchantability=14
                I:harvestLevel=3
                I:maxUses=1250
            }

        }

    }

    armor-balance {

        obsidian {
            I:durability=50
            I:enchantability=40

            protection {
                I:chest=12
                I:feet=5
                I:head=5
                I:legs=8
            }

        }

        lapis {
            I:durability=13
            I:enchantability=8

            protection {
                I:chest=5
                I:feet=2
                I:head=2
                I:legs=6
            }

        }

        osmium {
            I:durability=30
            I:enchantability=12

            protection {
                I:chest=5
                I:feet=3
                I:head=3
                I:legs=6
            }

        }

        bronze {
            I:durability=35
            I:enchantability=10

            protection {
                I:chest=6
                I:feet=2
                I:head=3
                I:legs=5
            }

        }

        glowstone {
            I:durability=18
            I:enchantability=18

            protection {
                I:chest=7
                I:feet=3
                I:head=3
                I:legs=6
            }

        }

        steel {
            I:durability=40
            I:enchantability=10

            protection {
                I:chest=7
                I:feet=3
                I:head=3
                I:legs=6
            }

        }

    }

    general {
        D:MobArmorSpawnRate=0.01
    }

}


usage {
    D:ChemicalCrystallizerUsage=4000.0
    D:ChemicalDissolutionChamberUsage=4000.0
    D:ChemicalInfuserUsage=2500.0
    D:ChemicalInjectionChamberUsage=4000.0
    D:ChemicalWasherUsage=2000.0
    D:CombinerUsage=6500.0
    D:CrusherUsage=7500.0
    D:DigitalMinerUsage=10000.0
    D:ElectricPumpUsage=3500.0
    D:EnergizedSmelterUsage=7500.0
    D:EnrichmentChamberUsage=7500.0
    D:FactoryUsage=800.0
    D:FluidicPlenisherUsage=1500.0
    D:FormulaicAssemblicatorUsage=100.0
    D:GasCentrifugeUsage=5000.0
    D:HeavyWaterElectrolysisUsage=8500.0
    D:LaserUsage=5500.0
    D:MetallurgicInfuserUsage=4500.0
    D:OsmiumCompressorUsage=3000.0
    D:OxidationChamberUsage=2560.0
    D:PrecisionSawmillUsage=10000.0
    D:PressurizedReactionBaseUsage=9000.0
    D:PurificationChamberUsage=5750.0
    D:RotaryCondensentratorUsage=7500.0
    D:SeismicVibratorUsage=2000.0
}


